<!--
/**
 * Webkul Software
 *
 * @category Webkul
 * @package Webkul_TimeSlotDelivery
 * @author Webkul
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license https://store.webkul.com/license.html
 */
 -->
<!--ko if: isEnabled == true -->
<div class="step-title-new" data-role="title" data-bind="i18n: ' Delivery Schedule'"></div>
<div class="slots-wrapper">
	<div class="slots-content">
		<!--ko foreach: { data: getSlotData(), as: 'data'}-->
		<!--ko if: Object.keys(data.slots).length > 0 -->
		<div class="field">
			<!-- <label class="label" data-bind="i18n: 'Delivery Date'"></label> -->
			<input id="dateForSlot" class="input-text" placeholder="Select Delivery Date" readonly='readonly' data-bind="afterRender: $parent.addDatePicker(data.start_date)"></input>
		</div>
		<div class="field">
		<!-- <label class="label" data-bind="i18n: 'Delivery Time'"></label> -->
			<select id="slotSelect" data-bind="value: $parent.selectValue, event: { change: $parent.selectTimeSlot()}, foreach: $parent.slotForSelect">
	    		<option data-bind="attr: { 'disabled': disable, 'value': $index, 'name':'id_'+slot_id,'data-date': date ,'slot-id': slot_id }, text: slot"></option>
			</select>
		</div>
		<!-- /ko -->
		<!-- ko ifnot: Object.keys(data.slots).length > 0 -->
		<div class="no-slots-block">
			<span data-bind="text: data.message"></span>
		</div>
		<!-- /ko -->
		<!-- /ko -->
	</div>
</div>
<br/>
<!-- /ko -->
